package gov.va.med.esr.common.model.comms;

import java.util.HashSet;
import java.util.Set;

import org.apache.commons.lang.Validate;

import gov.va.med.fw.model.AbstractKeyedEntity;

public class FileInfo extends AbstractKeyedEntity {
	
	private static final long serialVersionUID = -6712396040378523357L;
	
	private String name = null;
	
	private Directory directory = null;
	
	private Set internalDocumentAccessLogs = null;
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Directory getDirectory() {
		return directory;
	}

	public void setDirectory(Directory directory) {
		this.directory = directory;
	}
	
  private void setInternalDocumentAccessLogs(Set documentAccessLogs) {
    this.internalDocumentAccessLogs = documentAccessLogs;
  }

  private Set getInternalDocumentAccessLogs() {
    if( this.internalDocumentAccessLogs == null ) {
       this.internalDocumentAccessLogs = new HashSet();
    }
    return this.internalDocumentAccessLogs;
 }

}
